#!/bin/bash


IMAGE=registry.hottis.de/dockerized/c-build-env:latest

OPT_BROKER=""
OPT_ROOT=""

while getopts bphr flag
do
  case "${flag}" in
    b) echo "Start broker";
       docker run -d --rm --name broker -p 1883:1883 eclipse-mosquitto;
       OPT_BROKER="--link broker";
       ;;
    p) echo "Pull environment image";
       docker pull $IMAGE;
       ;;
    r) echo "Run environment as root";
       OPT_ROOT="-u 0";
       ;;
    h) echo "Usage:";
       echo "-b: Start broker";
       echo "-p: Pull new environment image";
       echo "-r: Run environment as root";
       echo "-h: This help";
       exit 0;
       ;;
  esac
done


docker run -it --rm $OPT_BROKER $OPT_ROOT -v $PWD:/work $IMAGE bash

if [ "$OPT_BROKER" != "" ]; then
  echo "Stopping broker"
  docker stop broker
fi

